%define	name	mikmod
%define	version	3.2.1
%define	release	%mkrel 6

Name:		%{name}
Summary:	A MOD music file player
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Sound 
Source0:	%{name}-%{version}.tar.bz2
#Patch0:	mikmod-3.1.6-a-va_end-fixes.patch.bz2
Patch1:		mikmod-3.2.1-fix-warnings.patch
Patch2:		mikmod-3.2.1-document-color-in-man-page.patch
Patch3:		mikmod-3.2.1-playmode-in-man-page.patch
Patch4:		mikmod-3.2.1-fix-hyphen-in-man-page.patch
URL:		http://mikmod.raphnet.net/
BuildRequires:	libmikmod-devel ncurses-devel

%description
MikMod is one of the best and most well known MOD music file players for 
UNIX-like systems.  This particular distribution is intended to compile
fairly painlessly in a Linux environment. MikMod uses the OSS /dev/dsp
driver including all recent kernels for output, and will also write .wav
files. Supported file formats include MOD, STM, S3M, MTM, XM, ULT, and IT.
The player uses ncurses for console output and supports transparent
loading from gzip/pkzip/zoo archives and the loading/saving of playlists.

Install the mikmod package if you need a MOD music file player.

%prep
%setup -q
#%patch0 -p1 -b .va_end-fixes
%patch1 -p1 -b .fix_warnings
%patch2 -p1 -b .man_color
%patch3 -p1 -b .man_playmode
%patch4 -p1 -b .man_hyphen

%build
%configure	--enable-color-interface
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -fr %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*




%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.2.1-6mdv2008.1
+ Revision: 129945
- kill re-definition of %%buildroot on Pixel's request


* Fri Mar 02 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.2.1-6mdv2007.0
+ Revision: 131570
- remove rather useless and conflicting provides/obsoletes
- Import mikmod

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.2.1-4mdv2007.0
- Rebuild

* Tue Jun 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.2.1-3mdv2007.0
- %%mkrel
- fix summary-ended-with-dot
- drop COPYING as it's license is included in common-licenses
- drop INSTALL as it's of no use
- from debian:
	o Eliminate some compile warnings (P1)
	o Document --color in the manpage (P2)
	o Fix playmode documentation in the manpage. The default: output of
	  mikmod -h does depend on your actual mikmod configuration, and is correct
	  for an unconfigured mikmod
	o Fix manpage to use HYPHEN-MINUS ("\-") instead of HYPHEN ("-"), which
	  would be rendered differently on unicode terminals

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.2.1-2mdk
- Rebuild

